Subject: bug#17346: 24.4.50; Why is the goal column limited to C-n and C-p ?

From: Michael Welsh Duggan <[email-masked]>
Date: Fri, 25 Apr 2014 12:20:05 -0400

Dani Moncayo <[email-masked]> writes:

> I've just tried to set a goal column (with "C-x C-n") and then scroll
> through some buffer (which has text indented at different columns)
> using the wheel of my mouse.
>
> I expected that, while scrolling with the mouse, the cursor tried to
> stay at the goal column I set.  That would have been helpful for
> spotting those lines with that level of indentation.
>
> But I've seen that the "goal column" feature seems to be limited only
> to C-n and C-p (according to my test and the docstring of
> "set-goal-column").
>
> I think that it would make sense to extend this feature to other
> vertical-scrolling commands like C-v, M-v, scroll-bar-toolkit-scroll
> or mwheel-scroll.

Try setting scroll-preserve-screen-position.
(setq scroll-preserve-screen-position t)

-- 
Michael Welsh Duggan
([email-masked])